# Uses of Class
com.fasterxml.jackson.core.sym.CharsToNameCanonicalizer

Packages that use CharsToNameCanonicalizer
Package
Description
com.fasterxml.jackson.core
Main public API classes of the core streaming JSON processor: most importantly `JsonFactory` used for constructing JSON parser (`JsonParser`) and generator (`JsonGenerator`) instances.
com.fasterxml.jackson.core.json
JSON-specific parser and generator implementation classes that Jackson defines and uses.
com.fasterxml.jackson.core.sym
Internal implementation classes for efficient handling of of symbols in JSON (field names in Objects)

## Uses of CharsToNameCanonicalizer in com.fasterxml.jackson.core

Fields in com.fasterxml.jackson.core declared as CharsToNameCanonicalizer
Modifier and Type
Field
Description
`protected final CharsToNameCanonicalizer`
JsonFactory.`_rootCharSymbols`
Each factory comes equipped with a shared root symbol table.

## Uses of CharsToNameCanonicalizer in com.fasterxml.jackson.core.json

Fields in com.fasterxml.jackson.core.json declared as CharsToNameCanonicalizer
Modifier and Type
Field
Description
`protected final CharsToNameCanonicalizer`
ReaderBasedJsonParser.`_symbols`
Methods in com.fasterxml.jackson.core.json with parameters of type CharsToNameCanonicalizer
Modifier and Type
Method
Description
`JsonParser`
ByteSourceJsonBootstrapper.`constructParser(int parserFeatures, ObjectCodec codec, ByteQuadsCanonicalizer rootByteSymbols, CharsToNameCanonicalizer rootCharSymbols, int factoryFeatures)`
Constructors in com.fasterxml.jackson.core.json with parameters of type CharsToNameCanonicalizer
Modifier
Constructor
Description
``
`ReaderBasedJsonParser(IOContext ctxt, int features, Reader r, ObjectCodec codec, CharsToNameCanonicalizer st)`
Constructor called when input comes as a `Reader`, and buffer allocation can be done using default mechanism.
``
`ReaderBasedJsonParser(IOContext ctxt, int features, Reader r, ObjectCodec codec, CharsToNameCanonicalizer st, char[] inputBuffer, int start, int end, boolean bufferRecyclable)`
Constructor called when caller wants to provide input buffer directly (or needs to, in case of bootstrapping having read some of contents) and it may or may not be recyclable use standard recycle context.

## Uses of CharsToNameCanonicalizer in com.fasterxml.jackson.core.sym

Fields in com.fasterxml.jackson.core.sym declared as CharsToNameCanonicalizer
Modifier and Type
Field
Description
`protected final CharsToNameCanonicalizer`
CharsToNameCanonicalizer.`_parent`
Sharing of learnt symbols is done by optional linking of symbol table instances with their parents.
Methods in com.fasterxml.jackson.core.sym that return CharsToNameCanonicalizer
Modifier and Type
Method
Description
`static CharsToNameCanonicalizer`
CharsToNameCanonicalizer.`createRoot()`
Deprecated.
Since 2.16 use `createRoot(TokenStreamFactory)` instead
`static CharsToNameCanonicalizer`
CharsToNameCanonicalizer.`createRoot(int seed)`
Deprecated.
Since 2.16 use `createRoot(TokenStreamFactory)` instead
`static CharsToNameCanonicalizer`
CharsToNameCanonicalizer.`createRoot(TokenStreamFactory owner)`
Method called to create root canonicalizer for a `JsonFactory` instance.
`static CharsToNameCanonicalizer`
CharsToNameCanonicalizer.`createRoot(TokenStreamFactory owner, int seed)`
`CharsToNameCanonicalizer`
CharsToNameCanonicalizer.`makeChild()`
"Factory" method; will create a new child instance of this symbol table.
`CharsToNameCanonicalizer`
CharsToNameCanonicalizer.`makeChild(int flags)`
Deprecated.
Since 2.16 use `makeChild()` instead.